package com.nisum.mongo.dal;

import java.util.List;
import java.util.Map;

import com.nisum.mongo.model.User;

public interface UserDAL {

		List<User> getAllUsers();
		User getByUserId(String userId);
		User addNewUser(User user);
		Map<String,String> getAllSettingsOfUser(String userId);
		String getUserSetting(String userId,String key);
		String addUserSetting(String userId, String key, String value);
		


}
